/*
 * C++ implementation (and fixes)
 *		dva (VC++ 6.0) at dvassil.wordpress.com (http://dvassil.wordpress.com)
 */

#ifndef __DVAUTILS_FUNCS_H__
#define __DVAUTILS_FUNCS_H__

#pragma message ("------------------------------------------------------------")
#pragma message ("Note:                                                       ")
#pragma message ("      Link with DVAUtils.lib                                ")
#pragma message ("      or use Dynamic Library Loading of DVAUtils.dll        ")
#pragma message ("      or use exported COM Objects                           ")
#pragma message ("------------------------------------------------------------")

STDAPI_(double)	RoundValue(double value, int precision);

STDAPI_(int)	SayEuroA(double money, char* buffer);
STDAPI_(int)	SayEuroW(double money, wchar_t* buffer);
STDAPI_(int)	SayEuro2A(CURRENCY money, char* buffer);
STDAPI_(int)	SayEuro2W(CURRENCY money, wchar_t* buffer);

STDAPI_(BOOL)	VatValidateA(char* buffer);
STDAPI_(BOOL)	VatValidateW(wchar_t* buffer);

STDAPI_(BOOL)	IsPrime(long number);

#endif //__DVAUTILS_FUNCS_H__
